var interval;

function tabQuery() {
	chrome.tabs.query({ active: true, currentWindow: true },
		function (tabs) {
			var tab = tabs[0];
			chrome.tabs.sendMessage(tab.id, { method: "getState" }, function(response) {
				if (response) {
					if (interval) window.clearInterval(interval);
					var state = response.data;
					if (state == "enabled") {
						chrome.tabs.sendMessage(tab.id, { method: "disableIme" }, function(re) { });
						chrome.browserAction.setBadgeText({text: '', tabId: tab.id});
						chrome.browserAction.setIcon({ path: 'icon-off.png', tabId: tab.id });
					} else {
						chrome.tabs.sendMessage(tab.id, { method: "enableIme" }, function(re) { });
						chrome.browserAction.setBadgeText({text: 'ON', tabId: tab.id});
						chrome.browserAction.setIcon({ path: 'icon-on.png', tabId: tab.id });
					}
				} else {
					tabQuery()
				}
			});
		}
	);
}

chrome.browserAction.onClicked.addListener(function(tab) {
	if (interval) window.clearInterval(interval);
	interval = window.setInterval(function() { tabQuery() }, 2500);
});
